package keystash.gui;

import static keystash.KeyStashGUI.accountMenuItem;
import static keystash.KeyStashGUI.accountTable;
import static keystash.KeyStashGUI.backupMenuItem;
import static keystash.KeyStashGUI.encryptDatabaseMenuItem;
import static keystash.KeyStashGUI.fileMenu;
import static keystash.KeyStashGUI.isWalletEncrypted;
import static keystash.KeyStashGUI.preferencesMenuItem;
import static keystash.KeyStashGUI.settingsMenu;
import static keystash.KeyStashGUI.showAccountDetailsItem;
import static keystash.KeyStashGUI.showCopyAddressItem;
import static keystash.KeyStashGUI.showGenerateTokenItem;

public class MenuItem {

    public static void enableMenu(boolean isEnabled) {

        if (isWalletEncrypted) {
            encryptDatabaseMenuItem.setEnabled(false);
        }
        else {
            encryptDatabaseMenuItem.setEnabled(isEnabled);
        }

        backupMenuItem.setEnabled(isEnabled);
        showAccountDetailsItem.setEnabled(isEnabled);
        showGenerateTokenItem.setEnabled(isEnabled);
        showCopyAddressItem.setEnabled(isEnabled);
        accountTable.setEnabled(isEnabled);
        accountMenuItem.setEnabled(isEnabled);
        preferencesMenuItem.setEnabled(isEnabled);

    }

    public static void encryptedEnableMenu(boolean isEnabled) {

        fileMenu.setEnabled(isEnabled);
        settingsMenu.setEnabled(isEnabled);
        showAccountDetailsItem.setEnabled(isEnabled);
        showGenerateTokenItem.setEnabled(isEnabled);
        showCopyAddressItem.setEnabled(isEnabled);
        accountTable.setEnabled(isEnabled);

    }

}